2005-06-23  Andrew Belov  <andrew_belov@newmail.ru>

	*  3.10/2.78 rev. 22: tag "arj-3_10_22".

	*  arjtypes.c: YATF

2005-06-21  Andrew Belov  <andrew_belov@newmail.ru>

	*  arjsfx.c, arjtypes.c, environ.h, rearj.c, scrnio.c, arj.c,
	   arj_arcv.c, arj_file.c, arj_proc.c:
	   Merged with recent TCO release to migrate the timestamp code and
	   TAB handling fixes.

2005-06-18  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj_proc.c: Removed the quiet_mode logic for arjdisp_enabled
	   (ARJDISP could operate on a separate terminal - no need to enforce
	   and/or change quiet_mode)

	*  integr.c: Mark an unreferenced variable as const, otherwise gcc
	   3.4 removes it - from Guillem Jover <guillem@debian.org>

2004-10-18  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj_proc.c: test fix for using quiet_mode with ARJDISP

2004-06-18  Andrew Belov  <andrew_belov@newmail.ru>

	*  3.10/2.78 rev. 21: tag "arj-3_10_21".

	*  arj_arcv.c, arj_file.c, arj_proc.c, arj_user.c, arjtypes.c,
	   environ.c, externs.c, externs.h, makefile:
	   Merged with the remaining part of TCO fixes to make up for 3.10.21

2004-05-31  Andrew Belov  <andrew_belov@newmail.ru>

	*  defines.h, encode.c, environ.c, environ.h, fmemcmp.asm, misc.c,
	   rearj.c: Resync with TCO to close any outstanding bugs

2004-05-01  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj.c: Rudimentary Borland code caused the filenames in argv[] to
	   be mishandled under Win32

2004-04-21  Andrew Belov  <andrew_belov@newmail.ru>

	*  register.c: REGISTER might fail due to _fput_* changes

2004-04-17  Andrew Belov  <andrew_belov@newmail.ru>

	*  3.10/2.78 rev. 20: tag "arj-3_10_20".

	*  environ.c: Cleaned up the DOS wildcard code

	*  arjdata.c:
	   The gamma cycle is now over, removing gamma version markers

	*  arjsfxjr.c, arjtypes.c, ea_mgr.c, encode.c, environ.c, fardata.c,
           gost_t.c, misc.c, msgbind.c, packager.c, rearj.c, uxspec.c, arj.c,
           arj_arcv.c, arj_file.c, arj_user.c, arjsec_l.c:
	   Supress warnings in GCC with -Wall - a patch from Guillem Jover
           <guillem@debian.org>

2004-04-14  Andrew Belov  <andrew_belov@newmail.ru>

	*  arjsfx.c, defines.h, environ.h, filelist.c:
	   Resync with current Win32 work on TCO

	*  environ.c:
           Keep a wildcard trace bitmap on the stack to speed up certain
	   searches in OS/2-32 and Win32 (OS/2-16 gets DosEditName again).
           Linux statvfs import solution from Guillem Jover
	   <guillem@debian.org>

2004-03-21  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.c: Workaround for partial patterns passed to fnmatch()

2004-03-17  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj_arcv.c:
	   Removed compulsory endline insertion into comments. Fixed chapter
	   archive access.

2004-03-16  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.c:
	   Fixed to compile with Linux v 2.6 headers (progressing name clash
	   with libc)

2004-02-21  Andrew Belov  <andrew_belov@newmail.ru>

	*  3.10/2.78 rev. 19: tag "arj-3_10_19".

	*  garble.c: Follow-up fix to the SKIP_GET_EXE_NAME patch

2004-02-20  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj_arcv.c, arj_proc.c, environ.c, externs.c, externs.h, misc.c,
           misc.h:
	   Added the "-_" option to convert the filenames into lowercase
           after a patch from Konstantin Reznichenko <kot@premierbank.dp.ua>

	*  arj_arcv.c: Tolerate "-2l" on platforms without EA support.

	*  garble.c:
	   Inverted the check for SKIP_GET_EXE_NAME (regression from 2.78.13)

2004-01-25  Andrew Belov  <andrew_belov@newmail.ru>

	*  scrnio.c, makefile, arj_proc.c, arj.c:
	   Stdout/console fixes

	*  msgbind.c, rearj.c, arj_proc.h, arjsfx.c, arjsfxjr.c, arjtypes.c,
	   environ.c, arj_proc.c, arj.c:
	   Patches from NetBSD codeline to enable NetBSD/x86-64 support

2003-10-20  Andrew Belov  <andrew_belov@newmail.ru>

	*  make_key.c: YATF

2003-10-16  Andrew Belov  <andrew_belov@newmail.ru>

	*  3.10/2.78 rev. 18: tag "arj-3_10_18".

	*  arjdata.c, exe_sear.c, packager.c:
	   Incorporating QNX build patches by Mike Gorchak <mike@malva.ua>

	*  arj_file.c, environ.c, environ.h:
	   Merged with TCO up to 2.78.18 to introduce the final attribute fix

2003-09-19  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.c: Fixes for compiling on SCO

	*  fardata.c: ASP Linux v 7.3: GCC would complain on va_arg(ap,short)
           Patches submitted by Igor Paul March Chuk <chuk@unicorn.kiev.ua>

2003-09-14  Andrew Belov  <andrew_belov@newmail.ru>

	*  3.10/2.78 rev. 17: tag "arj-3_10_17".

	*  arj_file.c, arj_proc.c, fardata.c, makefile, scrnio.c, scrnio.h:
           Merged with TCO branch up to 2.78.17

2003-07-15  Andrew Belov  <andrew_belov@newmail.ru>

	*  3.10/2.78 rev. 16: tag "arj-3_10_16".

	*  uxspec.c, uxspec.h, arj_arcv.c, defines.h:
	   New parameter: "-2o2", to save both UID and GID in symbolic form.

2003-06-30  Andrew Belov  <andrew_belov@newmail.ru>

	*  3.10/2.78 rev. 15: tag "arj-3_10_15".

	*  uxspec.c:
	   Should return a value from set_uxspecial() when link() succeeds

2003-06-27  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj_arcv.c, arj_user.c, ea_mgr.c, environ.c:
	   Merged with 2.78.15-TCO to fix the extended header update issue

	*  arj_arcv.c:
	   Prevent uncontrolled overwriting of existing files during
           extraction - SunOS patch from Etienne Joarlette <etienne@go.cc>

	*  packager.c:
	   Add "-+" to the archiver command line rather than response file

2003-06-22  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj.c, arjcrypt.c, arjdisp.c, arjsfx.c, arjsfxjr.c, make_key.c,
	   makestub.c, msgbind.c, packager.c, postproc.c, rearj.c,
	   register.c, sfxstub.c, today.c:
	   Switched to "int main()" for consistency

2003-06-10  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj.c:
	   Minor fix for iterating over extension names in -hx

2003-05-14  Andrew Belov  <andrew_belov@newmail.ru>

	*  3.10/2.78 rev. 14: tag "arj-3_10_14".

	*  packager.c, arjdata.c: Packaging for SPARC

	*  makefile:
	   Link REGISTER with integr.* as a temporary workaround for
	   POSTPROC regressions

	*  rearj.c: Fixed handling of empty lines in REARJ.CFG

2003-05-11  Andrew Belov  <andrew_belov@newmail.ru>

	*  3.10/2.78 rev. 13: tag "arj-3_10_13".

2003-05-08  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj_proc.c, register.c:
	   Updates for SPARC from Etienne Joarlette <etienne@go.cc>

2003-05-07  Andrew Belov  <andrew_belov@newmail.ru>

	*  arjsec_h.c, environ.h, makefile:
	   Updates for SPARC from Etienne Joarlette <etienne@go.cc>

	*  arj_user.c:
	   Fixed the "arj o" command (regression from 2.62.08).
	   Display the ARJ-PROTECT safety factor.

2003-05-03  Andrew Belov  <andrew_belov@newmail.ru>

	*  rearj.c, recovery.c, register.c, arj_proc.c, arj_user.c,
	   arjsec_h.c, encode.c, environ.c, file_reg.c, postproc.c,
	   arj_arcv.c:
	   Updates for SPARC from Etienne Joarlette <etienne@go.cc>

	*  arjcrypt.c:
	   ARJCRYPT v 2.15: fixed inconsistency w/GOST256L method

	*  fardata.c:
	   Force CUSTOM_PRINTF for ARJ to bring "-jp" back

2003-04-27  Andrew Belov  <andrew_belov@newmail.ru>

	*  encode.c, environ.c, environ.h, exe_sear.c, gost.c, gost40.c,
	   join.c, postproc.c, recovery.c, arj.h, arj_arcv.c, arj_file.c,
	   arj_file.h, arj_proc.c, arj_proc.h, arj_user.c, arjcrypt.c,
	   arjsfxjr.c:
	   Updates for SPARC from Etienne Joarlette <etienne@go.cc>

2003-04-26  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.c:
	   Converged the OS/2 and NT wildcard matching algorithms

2003-04-24  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.h, filelist.c, register.c:
	   Fixes for integration of 2.78.13 build environment

2003-04-18  Andrew Belov  <andrew_belov@newmail.ru>

	*  garble.c, join.c:
	   Build/packaging patches and man pages from Guillem Jover
	   <guillem@debian.org>

2003-04-15  Andrew Belov  <andrew_belov@newmail.ru>

	*  encode.c, environ.c, environ.h, recovery.c, arj_arcv.c,
	   arjsfxjr.c, arjtypes.c:
	   Preliminary SPARC/SunOS patches from Etienne Joarlette
	   <etienne@go.cc>

2003-04-12  Andrew Belov  <andrew_belov@newmail.ru>

	*  3.10/2.78 rev. 12: tag "arj-3_10_12".

	*  environ.h, rearj.c, arj.c, arj_user.c, arjdisp.c, arjsfx.c,
	   arjtypes.c, decode.c, environ.c:
	   Preliminary support for QNX v 6.0 using patches from
	   Mike Gorchak <mike@malva.ua>

	*  garble.c, gost40.c, arj_proc.c:
	   Encryption fixes from 2.78.12-TCO

2003-04-06  Andrew Belov  <andrew_belov@newmail.ru>

	*  3.10/2.78 rev. 11: tag "arj-3_10_11".

	*  rearj.c: Several command-line switches were blocked out.

	*  makefile: Fixed stack overrun under OS/2-32.

2003-04-02  Andrew Belov  <andrew_belov@newmail.ru>

	*  3.10/2.78 rev. 10: tag "arj-3_10_10".

	*  externs.h, uxspec.c, externs.c, environ.h, environ.c,
	   defines.h, arj_proc.c, arj_arcv.c:
	   Reintroduced the old (pre-2.76) directory archiving order,
	   now optional as "-2r"

	*  scrnio.h, scrnio.c, arj_file.c:
	   Fixed several counter display issues

2003-02-07  Andrew Belov  <andrew_belov@newmail.ru>

	*  3.10/2.78 rev. 8: tag "arj-3_10_8".

	*  uxspec.h, today.c, uxspec.c, scrnio.c, scrnio.h, register.c,
	   recovery.c, rearj.c, packager.c, misc.c, localize.cmd, makefile,
	   filelist.h, garble.c, fardata.h, filelist.c, fardata.c, externs.h,
	   externs.c, environ.c, environ.h, encode.c, bindings.h, chk_fmsg.c,
	   decode.c, defines.h, arjsfxjr.c, arjsfx.c, arjsec_h.c, arjdisp.c,
	   arjdata.c, arj_user.c, arj_proc.c, arj_file.h, arj_file.c,
	   arj_arcv.c, arj.h, arj.c:
	   Merged with TCO branch up to 2.78.08 (colorstyle support and
	   internal cleanup)

2003-01-25  Andrew Belov  <andrew_belov@newmail.ru>

	*  3.10/2.78 rev. 7: tag "arj-3_10_7".

	*  postproc.c, scrnio.c, scrnio.h, packager.c, ntstream.h, ea_mgr.c,
	   environ.c, environ.h, externs.c, garble.c, makefile, mkdir_p.cmd,
	   msgbind.c, ntstream.c, arjcrypt.c, arjdata.c, arjdisp.c, arjsfxjr.c,
	   defines.h, arj_user.c, arj.h, arj_arcv.c, arj_proc.c, arj.c:
	   Added Win32 support

2002-12-13  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.h: Migrated the FAR_BLK_MAX fix from TCO branch.

	*  msgbind.c: Fixed to compile with GCC/EMX.

2002-07-04  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj.c: Fixed crash at startup with "ARJ Q" and no filespec.

	*  arj_file.c, defines.h: Added "-d1" and "-d2".

        *  arjtypes.c: Fixed wrong timestamp conversion (regression from
	   13/08/2001 perf. enh. for 2.77).

2002-05-14  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj_proc.c: Fixed handling of "+" and "-" modifiers in ARJ.CFG.

        *  arj_user.c: Fixed the storage attributes for modification archive
	   timestamp.

2002-04-14  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.c: Fix for a GCC v 3.0 optimization bug.

2002-04-08  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj.c, arj_arcv.c, arj_proc.c, arjsec_h.c, arjsec_l.c, environ.h,
	   externs.c, makefile, packager.c: Official Open-source release.

2002-03-27  Andrew Belov  <andrew_belov@newmail.ru>

	*  Transferred to SourceForge.

2002-03-27  Andrew Belov  <andrew_belov@newmail.ru>

	*  packager.c: Removed company names

	*  arj.c, arj_user.c, arjsec_h.c, arjsec_l.c, arjsfx.c, arjsfxjr.c,
	   crc32.c, defines.h, environ.c, makefile, msgbind.c, packager.c,
	   rearj.c: Preparations for open-sourcing.

2002-02-26  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.h: DeUNIXified the EMX branch.

2002-01-30  Andrew Belov  <andrew_belov@newmail.ru>

	*  scrnio.h: Added scrn_reset() stub for Borland C.

	*  file_crc.c: Removed (obsolete since ARJ v 2.72).

	*  crc32.c, encode.c: Fixed to compile with Borland C v 3.1.

2002-01-12  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj_file.c: Fixed the "-i5" indicator.

2001-11-30  Andrew Belov  <andrew_belov@newmail.ru>

	*  packager.c: Merged with German NLS for 2.71.04.

2001-11-23  Andrew Belov  <andrew_belov@newmail.ru>

	*  asm_incl.inc: Removed the obsolete code for pure ASM modules.

2001-11-09  Andrew Belov  <andrew_belov@newmail.ru>

	*  makefile: Introduced OpenWatcom v 11.0c compiler (LIBC).

2001-11-08  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.h: OpenWatcom fixes.

2001-10-23  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.c: New get_exe_name() for SKIP_GET_EXE_NAME.

2001-10-14  Andrew Belov  <andrew_belov@newmail.ru>

	*  makefile: Fixed MS C options to avoid including .\C_DEFS.H.

2001-09-27  Andrew Belov  <andrew_belov@newmail.ru>

	*  makefile: Converted to VisualAge C++ v 3.65.

	*  decode.c: Fixed to shut off the VisualAge optimizer.

2001-09-23  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj_arcv.c, ext_hdr.c: Fixed some EXT_HDR regressions in 16-bit
	   mode.

2001-09-15  Andrew Belov  <andrew_belov@newmail.ru>

	*  arjtypes.c: Fixed time handling with XPG.4 LIBC.

2001-09-11  Andrew Belov  <andrew_belov@newmail.ru>

	*  arjtypes.c: Fixed the display of UNIX timestamps in MS-DOS.

2001-09-09  Andrew Belov  <andrew_belov@newmail.ru>

	*  recovery.c: Fixed protection block size calculation.

	*  arj_arcv.c: Fixed the regression from 04/02/2001 changes.

2001-09-06  Andrew Belov  <andrew_belov@newmail.ru>

	*  arjtypes.c: Corrected the DOS-to-UNIX timestamp conversion.

2001-09-04  Andrew Belov  <andrew_belov@newmail.ru>

	*  makefile: Conditional compiles in medium model.

	*  garble.c: Fixed ARJCRYPT loading/verification order. Fixed
	   ARJCRYPT v 2.1 incompatibility.

	*  arj_file.c: Fixed "-2a" for the ".*" pattern.

2001-09-02  Andrew Belov  <andrew_belov@newmail.ru>

	*  arjtypes.c: Implemented fm_native().

2001-08-31  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj_proc.c: Fixed the parsing of -t1f/-t1g.

	*  arj_file.c: -t0 upon extraction will now retain the 8th bit.

2001-08-30  Andrew Belov  <andrew_belov@newmail.ru>

	*  rearj.c: Added support for .tar.gz bundles. Changed to use the
	   platform-neutral STD_*_ATTR.

	*  environ.c: Added fork()-enabled exec_pgm() for REARJ.

2001-08-29  Andrew Belov  <andrew_belov@newmail.ru>

	*  uxspec.c: Support for numeric UID/GID representation.

2001-08-28  Andrew Belov  <andrew_belov@newmail.ru>

	*  packager.c: Removed the snappy ANSI screen.

	*  makefile: Fixes for ancient Microsoft compilers.

	*  arjtypes.c: Fixed to take DST into account with IBM LIBC.

2001-08-27  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj_proc.c: Merged the -2p parsers for OS/2 and UNIX.

	*  arj_arcv.c: Dropped parse_unixtime() from the merge.

	*  ansi.c, ansi.h, arj.c, arj.h, arjdata.c, arjsec_l.c, arjsfx.c,
	   arjsfxjr.c, arj_arcv.c, arj_arcv.h, arj_file.c, arj_proc.c,
	   arj_proc.h, arj_user.c, decode.c, defines.h, ea_mgr.c, encode.c,
	   environ.c, environ.h, exe_sear.c, externs.c, externs.h,
	   filelist.c, filelist.h, garble.c, makefile, misc.c, misc.h,
	   msgbind.c, packager.c, postproc.c, rearj.c, recovery.c, scrnio.c,
	   scrnio.h: Merged 2.76-STABLE into 2.77-CURRENT.

	*  ansi.c: Re-fix the 14/08/2001 chg. for DIRECT_TO_ANSI.

2001-08-26  Andrew Belov  <andrew_belov@newmail.ru>

	*  file_reg.c: Added a special hack for PACKAGER in UNIX.

	*  arj_proc.c: Added '#' as a comment character to ARJ.CFG.

2001-08-25  Andrew Belov  <andrew_belov@newmail.ru>

	*  scrnio.c: Added scrn_reset().

	*  environ.c: Tolerate EINVAL when doing fcntl()/flock().

	*  arj_file.c: Fixed the ANSI output with DIRECT_TO_ANSI.

	*  arj_arcv.c: Temporary parse_unixtime() for 2.76-stable.

	*  arjdisp.c: Added ANSI terminal reset on the ending screen. UNIX
	   branch (7-bit ASCII).

	*  arj.c: Fixed for argv[] expansion in UNIX.

2001-08-24  Andrew Belov  <andrew_belov@newmail.ru>

	*  msgbind.c: Parameter inversion ("!") support.

	*  environ.h, misc.c: Hardlink support.

	*  file_reg.c: Fixed the case sensitivity issues.

	*  filelist.c: Fixed for hardlink support.

	*  arj_user.c: Introduced the UNIX list mode.

2001-08-23  Andrew Belov  <andrew_belov@newmail.ru>

	*  uxspec.c, uxspec.h: Created.

	*  ea_mgr.c: Moved the mget/mput_* to ARJ_PROC.*.

2001-08-21  Andrew Belov  <andrew_belov@newmail.ru>

	*  garble.c: UNIX implementation via dlopen().

	*  filelist.c, filelist.h: Renamed some filelist constants.

	*  exe_sear.c: Fixed premature fclose() in ELF get_exe_size().

2001-08-19  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.c: Added preliminary support for UNIX platforms.

2001-08-17  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj.c: Removed M_OS_SPECIFIC for "-2d".

2001-08-16  Andrew Belov  <andrew_belov@newmail.ru>

	*  arjtypes.c: Fixed buggy time_t conversions.

2001-08-15  Andrew Belov  <andrew_belov@newmail.ru>

	*  makefile: The MetaWare builds now use IBM LIBC.

	*  defines.h: ARJ32 v 3.05 PERF ENH - introduced FDICSIZ.

	*  decode.c: Performance enhancements to 32-bit decode_f().

2001-08-14  Andrew Belov  <andrew_belov@newmail.ru>

	*  ansi.h, scrnio.c, scrnio.h: Disabled the code generation for
	   OS/2.

	*  makefile: Introduced IBM VisualAge C++ v 3.00 compiler. The
	   OS/2-32 compiler now defaults to VACPP.

	*  environ.c: Moved file_copy() from ARJ_PROC.C.

	*  arj_proc.c: Added support for priority deltas.

	*  arj_file.c: Changed the ANSI display to use VIO under OS/2.

	*  arj.c: Fixed -hk to work with -va.

	*  ansi.c: Disabled code generation for OS/2.

2001-08-13  Andrew Belov  <andrew_belov@newmail.ru>

	*  debug.h: Added assertion macros.

	*  arjtypes.c: Bummed the mk_unixtime() to get rid of loops.

2001-07-24  Andrew Belov  <andrew_belov@newmail.ru>

	*  encode.c: Blown out the rest of BCC-related comments.

2001-07-16  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.c: Fixed launch of DOS archivers from REARJ.

2001-07-09  Andrew Belov  <andrew_belov@newmail.ru>

	*  arjdata.c: Corrected to comply the English date format.

2001-06-24  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.c: Changed memory allocation in wild_list().

	*  arj.c: Changed wildcard_pattern to UNIX-style.

2001-06-21  Andrew Belov  <andrew_belov@newmail.ru>

	*  misc.c: Fixed CFA for the 16-bit world.

	*  arj_user.c: ** Updated to ARJ v 2.76 code level **. Fixed
	   phantom EAs appearing after updates.

	*  arj_proc.c: unpack_mem() changed for deferred garble_init().

2001-06-20  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj_arcv.c, environ.c: ** Updated to ARJ v 2.76 code level **.

	*  arj.c: ** Updated to ARJ v 2.76 code level **.

2001-06-19  Andrew Belov  <andrew_belov@newmail.ru>

	*  packager.c: Added glossary to the debug distribution.

	*  ansi.c, arj.c, arj.h, arjdata.c, arjsec_l.c, arjsfx.c,
	   arjsfxjr.c, arj_arcv.c, arj_arcv.h, arj_file.c, arj_proc.c,
	   arj_proc.h, arj_user.c, defines.h, ea_mgr.c, encode.c,
	   environ.c, environ.h, exe_sear.c, filelist.c, filelist.h,
	   garble.c, makefile, misc.c, misc.h, msgbind.c, packager.c,
	   postproc.c, rearj.c, recovery.c, scrnio.h: Merged recent 2.75
	   code with earlier revisions on 2.76 sparse tree.

2001-06-04  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj_proc.c: Fixed check_multivolume() regression from 29/03.

2001-05-11  Andrew Belov  <andrew_belov@newmail.ru>

	*  msgbind.c: Disabled termination by signals.

2001-04-07  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.c: Fixed file_open (regression from 2.75.18.3).

2001-04-06  Andrew Belov  <andrew_belov@newmail.ru>

	*  ansi.c, arj.c, arj.h, arjdata.c, arjsec_l.c, arjsfx.c,
	   arjsfxjr.c, arj_arcv.c, arj_arcv.h, arj_file.c, arj_proc.c,
	   arj_proc.h, arj_user.c, ea_mgr.c, encode.c, environ.c,
	   environ.h, filelist.c, filelist.h, makefile, misc.c, misc.h,
	   msgbind.c, rearj.c, recovery.c, scrnio.h: Merged with MetaWare
	   High C branch.

2001-04-05  Andrew Belov  <andrew_belov@newmail.ru>

	*  rearj.c: Now uses FILE_COUNT for counting packed files.

	*  arj_proc.c: Fixed looping with High C optimizations.

	*  arjsfxjr.c: Fixed the CTRL+C handlers for IBM C and High C.

	*  arjsfx.c: Fixed the counts to be FILE_COUNT.

2001-04-01  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj_file.c: Fixed display_block().

2001-03-31  Andrew Belov  <andrew_belov@newmail.ru>

	*  recovery.c: Fixed to compile with MetaWare High C/C++.

2001-03-29  Andrew Belov  <andrew_belov@newmail.ru>

	*  makefile: Introduced MetaWare High C v 3.20 compiler.

	*  arj_proc.c: Fixed to compile with MetaWare High C.

	*  arj.c, arj.h, arjsec_l.c, arjsfx.c, arjsfxjr.c, arj_arcv.h,
	   arj_proc.c, arj_proc.h, ea_mgr.c, environ.c, environ.h,
	   makefile, rearj.c: Created a MetaWare High C branch.

2001-02-23  Andrew Belov  <andrew_belov@newmail.ru>

	*  exe_sear.c: Improved the header lookup procedure.

	*  arj_arcv.c: Added debugging dump for header errors.

2001-02-21  Andrew Belov  <andrew_belov@newmail.ru>

	*  postproc.c: Now writes header only if changed it.

	*  makefile: Improved debugging and added map file creation.

	*  arj_proc.c: M_INVALID_DATE for unrecognized dates.

2001-02-20  Andrew Belov  <andrew_belov@newmail.ru>

	*  packager.c: Added symbol file creation for DEBUG branch.

2001-02-16  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.c: Removed import_timestamp() as obsolete.

2001-02-12  Andrew Belov  <andrew_belov@newmail.ru>

	*  exe_sear.c: Preliminary support for ELF modules.

2001-02-10  Andrew Belov  <andrew_belov@newmail.ru>

	*  arjtypes.h: Changed to accomodate the multiplatform modes.
	   TYPES_INCLUDED -> ARJTYPES_INCLUDED.

	*  arjtypes.c: Created.

2001-02-05  Andrew Belov  <andrew_belov@newmail.ru>

	*  misc.c: Added far_memset().

	*  garble.c: Fixed loading of ARJCRYPT in ARJSFXV.

	*  ea_mgr.c: Fixed EA cleanup under 32-bit OS/2.

2001-02-04  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj_arcv.c, arj_user.c: Changed to use the extended header
	   module.

2001-02-02  Andrew Belov  <andrew_belov@newmail.ru>

	*  ext_hdr.c: Created.

2001-02-01  Andrew Belov  <andrew_belov@newmail.ru>

	*  msgbind.c: Added emulation of strupr()/strlwr() functions.

	*  environ.h: Added preliminary support for UNIX platforms.

2001-01-30  Andrew Belov  <andrew_belov@newmail.ru>

	*  garble.c: Fixed ARJCRYPT initialization for GCC/EMX.

	*  arjcrypt.h: Implemented structure packing (so it does not get
	   blurred with GCC).

2001-01-29  Andrew Belov  <andrew_belov@newmail.ru>

	*  integr.c, sfxstub.c, sfx_id.c: Created.

	*  rearj.c: Fixed for GCC/EMX.

	*  postproc.c: ARJ/EMX executables are now packed as well.

	*  packager.c: Fixed for new ARJDISP naming and GCC/EMX.

	*  msgbind.c: Allowed use of the "/" path separator.

	*  makefile: Renamed ARJ$DISP to ARJDISP (so goes the source).

	*  arj_file.c: Added verification for NULL in file_close().

	*  arjsec_l.c: Disabled compilation for the shareware SFX.

2001-01-28  Andrew Belov  <andrew_belov@newmail.ru>

	*  misc.c: Fixed the [] handling in xwild_match().

	*  gnu/configure.in, gnu/makefile.in: Created.

2001-01-25  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.c: Swapped the file/subdir search in wild_list(). The
	   getenv() stub now compiles for MS C only.

2001-01-17  Andrew Belov  <andrew_belov@newmail.ru>

	*  misc.h: Removed the CFA addressing macros.

	*  misc.c: Added new CFA numbering scheme.

2001-01-16  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.h: Improved the buffering for 32-bit OS/2. Removed
	   lreg().

2001-01-15  Andrew Belov  <andrew_belov@newmail.ru>

	*  packager.c: Added year substitution in copyright notice.

	*  arjdata.c: Added the "@{y}" tag to represent year.

2001-01-12  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj_proc.c: Fixed parsing of -vxxxK and -vxxxM.

2001-01-02  Andrew Belov  <andrew_belov@newmail.ru>

	*  ext_hdr.h: Created.

2000-12-18  Andrew Belov  <andrew_belov@newmail.ru>

	*  arjdata.c: Fixed LOCALE branching.

2000-12-17  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.h: Added signal parameters macro.

	*  crc32.c: Resurrected.

	*  crc32.asm: Removed (superseded by CRC32.C).

2000-11-14  Andrew Belov  <andrew_belov@newmail.ru>

	*  rearj.c: Fixed locking of temporary directories.

2000-11-03  Andrew Belov  <andrew_belov@newmail.ru>

	*  postproc.c: No action for no packing.

2000-11-02  Andrew Belov  <andrew_belov@newmail.ru>

	*  make_key.c: Fixed to use the 10-digit format.

2000-10-31  Andrew Belov  <andrew_belov@newmail.ru>

	*  arjdata.c: Fixed the nested tag expansion.

2000-10-29  Andrew Belov  <andrew_belov@newmail.ru>

	*  today.c: Removed the hh:mm debug timestamp.

	*  postproc.c: Implemented LZEXE and LXLITE packing.

	*  makefile: Automation Release #4 - LIBC.

	*  arj_file.c, join.c: Fixed for LIBC.

	*  enc_asm.asm: Removed (superseded by ENCODE.C).

	*  dec_asm.asm: Removed (superseded by DECODE.C).

	*  arj_user.c: Fixed digit_pos setup in ARJSFXV.

	*  arj_proc.c: Fixed "ARJ I" for large executables.

2000-10-28  Andrew Belov  <andrew_belov@newmail.ru>

	*  makestub.c: Changed to accept the destination filename.

	*  makefile: Automation Release #3 - concurrent compiles.

	*  arjdata.c: Fixed for Turbo C. Fixed tag expansion.

2000-10-27  Andrew Belov  <andrew_belov@newmail.ru>

	*  make_cmt.c: Removed (superseded by PACKAGER.C).

	*  makefile: Debug version now uses itself for packaging.

	*  arjsfx.c: Fixed the signal()-related warnings in MS C.

2000-10-24  Andrew Belov  <andrew_belov@newmail.ru>

	*  packager.c: Incorporated with MAKE_CMT.

	*  makefile: Automation Release #1 - new packaging algorithm.

	*  crc32.asm: Fixed afl_mul in 16-bit mode.

2000-10-23  Andrew Belov  <andrew_belov@newmail.ru>

	*  environ.h: Added the executable extensions.

	*  arjdisp.c: Fixed the "test" option to be platform-neutral.

2000-10-21  Andrew Belov  <andrew_belov@newmail.ru>

	*  packager.c: Created.

2000-10-19  Andrew Belov  <andrew_belov@newmail.ru>

	*  msgbind.c: Implemented the substitution feature.

	*  encode.c: Joined with the 01/09 edition of ENC_ASM.ASM.

	*  arj_user.c: Fixed 3-digit volumes handling in ARJSFXV.

	*  arjdata.c, arjdata.h: Created.

2000-10-18  Andrew Belov  <andrew_belov@newmail.ru>

	*  misc.c: Fixed for IBM C Set++. Fixed the extended wildcard
	   parser.

	*  join.c: Positioning hotfix for the previous version.

	*  arjcrypt.c, gost40.c: Fixed last_bytes increment on encoding.

	*  exe_sear.c: SFX creation has been optimized for linear mode.

	*  environ.c: Fixed for ARJDISP on DOS.

2000-10-17  Andrew Belov  <andrew_belov@newmail.ru>

	*  ea_mgr.c: Updated for 32-bit OS/2.

	*  crc32.asm: Fixed the LONG return values for 32-bit mode.

2000-10-16  Andrew Belov  <andrew_belov@newmail.ru>

	*  sfxstub.asm: Fixed prototypes for OS/2 libraries.

	*  environ.c: Updated for 32-bit OS/2.

2000-10-15  Andrew Belov  <andrew_belov@newmail.ru>

	*  sfxstub.asm: Fixed for 32-bit OS/2.

	*  reg_stmp.h: Removed (changes for 32-bit).

	*  postproc.c: Removed the outdated REGISTER postprocessing.

	*  join.c: Fixed for IBM C Set++.

	*  enc_asm.asm: Completely duplicated the routines in ENCODE.C.

	*  encode.c: Finished the portabilization.

2000-10-12  Andrew Belov  <andrew_belov@newmail.ru>

	*  arjsfxjr.c: German NLS.

2000-10-11  Andrew Belov  <andrew_belov@newmail.ru>

	*  encode.c: Portabilized the method 4.

	*  decode.c: Completely portabilized the DEC_ASM.ASM.

2000-10-10  Andrew Belov  <andrew_belov@newmail.ru>

	*  decode.c: Fixed make_table for C version of decoder.

2000-10-07  Andrew Belov  <andrew_belov@newmail.ru>

	*  makestub.c: Include file now compiles even w/o resources.

2000-10-04  Alexander Bahlo  <alex@trikone.han.de>

	*  make_cmt.c: NLS german.

2000-10-02  Andrew Belov  <andrew_belov@newmail.ru>

	*  decode.c: Introduced C versions of decode_c/p().

2000-09-30  Andrew Belov  <andrew_belov@newmail.ru>

	*  crc32_32.asm: Removed (ARJ-SECURITY performance fix renders
	   CRC32_32.ASM obsolete).

	*  crc32.asm: Fixed for REGVARS.

	*  asm_incl.inc: Added REGVARS, used if compiling for FLATMODE.

	*  arj.c: Fixed "-2d?" handling.

2000-09-13  Andrew Belov  <andrew_belov@newmail.ru>

	*  arjsec_l.c: Slightly optimized the arjsec_read().

2000-09-09  Andrew Belov  <andrew_belov@newmail.ru>

	*  encode.c, enc_asm.asm: Portabilized the calling conventions.

	*  crc32.asm: Incorporated with the CRC32_32.ASM.

	*  arj_user.c: ** Updated to ARJ v 2.75 code level **.

	*  arjsfxjr.c, arj_arcv.c: Brought the "malicious header" checkup
	   in line with ARJ v 2.75.

2000-09-01  Andrew Belov  <andrew_belov@newmail.ru>

	*  enc_asm.asm: encode_f() has been removed.

	*  encode.c: Brought back encode_f().

2000-08-19  Andrew Belov  <andrew_belov@newmail.ru>

	*  makefile: Implemented REGISTER packing as in v 2.71a.

	*  environ.c: Added a workaround for >2G free space report.

	*  arj.c, arj_proc.c, arj_user.c: ** Updated to ARJ v 2.73 code
	   level **.

	*  arj_arcv.c: ** Updated to ARJ v 2.73 code level **.

2000-08-17  Andrew Belov  <andrew_belov@newmail.ru>

	*  makefile: Removed the FILE_CRC utility.

	*  arjcrypt.c, file_reg.c, garble.c: ** Updated to ARJ v 2.72 code
	   level **.

	*  arjcrypt.h: Updated to version 2.0 of the interface.

2000-08-16  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj_user.c: ** Updated to ARJ v 2.72 code level **.

2000-08-15  Andrew Belov  <andrew_belov@newmail.ru>

	*  enc_asm.asm: encode_f(): Fixed upd_tree() call sequence.

	*  arj_user.c: Modified century handling for CENT_*.

	*  arj_arcv.c: Fixed misuse of new_stdout in certain places.

2000-08-12  Andrew Belov  <andrew_belov@newmail.ru>

	*  filelist.c: Fixed block overrun due to clumsy sizeof().

	*  arj_file.c: ** Updated to ARJ v 2.72 code level **.

2000-08-11  Andrew Belov  <andrew_belov@newmail.ru>

	*  misc.c: ** Updated to ARJ v 2.72 code level **.

	*  environ.h: Corrected the multiplatform logic.

	*  arjsfx.c: Transformed to CFA filelist model (NB: our branch
	   uses the FILE_COUNT type everywhere!).

	*  arjsec_l.c: Fixed the annoying C4061 messages.

2000-08-03  Andrew Belov  <andrew_belov@newmail.ru>

	*  arjsfxjr.c, arj_arcv.c: Fixed malicious header processing.

2000-08-01  Andrew Belov  <andrew_belov@newmail.ru>

	*  msgbind.c: Introduced a useless year tracking feature.

	*  exe_sear.c: Fixed for using descriptive word constants.

	*  arj_arcv.c: ** Updated to ARJ v 2.72 code level **.

2000-07-23  Andrew Belov  <andrew_belov@newmail.ru>

	*  misc.c: Removed near_stricmp().

2000-07-22  Andrew Belov  <andrew_belov@newmail.ru>

	*  arj.c: Made the commercial versions unexpirable.

2000-07-07  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  arj_proc.c, recovery.c: ** Updated to ARJ v 2.72 code level **.

	*  filelist.c: ** ARJ v 2.72 functionality achieved **.

2000-07-02  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  environ.c, exe_sear.c: ** Updated to ARJ v 2.72 code level **.

	*  encode.c: Brought back huf_encode() and huf_encode_m3().

2000-06-22  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  enc_asm.asm: A paranoid memmove argument optimization.

2000-06-02  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  arj_file.c: Fixed to follow the new ARJ v 2.72 ARJ_QUIET2.

2000-05-30  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  makefile: Fixed /B2 parameter order in MS C setup.

2000-05-17  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  today.c: Added German timestamp format.

2000-05-07  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  makefile: HELP.ARJ is now verified as we rewrite DECODE.C.

2000-05-05  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  enc_asm.asm: Started re-portabilization (moving code to C).

2000-04-14  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  makefile: @'ed out all the external commands.

2000-03-29  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  arj_user.c: Fixed abnormal behavior of -b and -b2 switches.

2000-03-25  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  makefile: Introduced IBM C Set++ v 2.10 compiler.

	*  crc32.asm: Changes for 32-bit mode.

	*  asm_incl.inc: Changed to allow 32-bit compiles.

2000-03-19  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  makefile: Converted all filename specifiers to lowercase.

	*  arj_arcv.c, arj_user.c: ** Updated to ARJ v 2.71 code level **.

2000-03-08  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  register.c: ** Updated to REGISTER v 2.71 code level **.

	*  arj_proc.c, exe_sear.c: ** Updated to ARJ v 2.71 code level **.

	*  arjsfxjr.c: ** Updated to ARJ v 2.71 code level **.

2000-02-29  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  makefile: Created a separate directory for *.STS. Introduced
	   Borland C++ v 4.00 compiler.

	*  defines.h: Changed the default EXE size constraints.

2000-02-28  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  rearj.c: Fixed to compile with QuickC.

	*  makefile: Removed path dependencies in compiler settings.

2000-02-27  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  types.h: Removed (superseded by ARJTYPES.H).

2000-02-20  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  makestub.c, sfxstub.asm: Created.

2000-02-14  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  rearj.c: Fixed "/J" option behavior.

	*  ea_mgr.c: Added resolve_longname().

	*  arj_user.c: Added a switch to skip century display in dates.
	   Fixed century display in dates beyond 2000.

	*  arj_proc.c: Fixed "ARJ I" for large executables. Fixed
	   "-v...K", "-v...M" parsing.

2000-02-10  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  makefile: Introduced Microsoft Visual C v 1.00 compiler.
	   Introduced Microsoft Visual C v 1.50 compiler.

2000-02-07  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  make_key.c, register.c: Fixed signed/unsigned issues.

	*  file_reg.c: Fixed signed/unsigned issues.

	*  arj_arcv.c: Implemented RO flag clearing on add operations.

2000-02-04  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  msgbind.c: Changed TYPES.H -> ARJTYPES.H.

	*  enc_asm.asm: Packed the stack cleanup sequences upon return.

	*  arjtypes.h: Renamed to ARJTYPES.H.

1999-12-31  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  rearj.c: ** Updated to REARJ v 2.42 code level **. Added
	   shutdown_initiated, ctrlc_initiated.

	*  environ.c: Added arj_getdate() function.

1999-12-26  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  file_reg.h: Created.

	*  file_reg.c: Created from ARJ.C.

	*  arj.c: Moved all registration code to FILE_REG.C.

1999-12-05  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  arj_arcv.c: Fixed restoration of extended attributes.

1999-12-04  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  decode.c: Fixed buffer overrun in read_pt_len().

1999-12-01  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  arj_proc.c: Fixed M_OUT_OF_MEMORY errors in unstore().

1999-11-28  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  scrnio.c: Fixed clreol() under OS/2.

1999-11-24  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  rearj.h: Created.

	*  postproc.c: Changed to portabilize the verification scheme.

	*  arj.c, arj_user.c, environ.c: ** Updated to ARJ v 2.70 code
	   level **.

1999-11-23  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  make_key.c: Created.

	*  makefile: Moved all helper programs to one directory.

1999-11-22  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  arjsec_l.c: ** Updated to ARJ v 2.70 code level **.

1999-11-21  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  register.c: ** Updated to REGISTER v 2.70 code level **.

1999-11-20  Andrew Belov  <andrew_belov@mtu-net.ru>

	*  arj_proc.c: Moved strip_lf() to this module.

1999-11-14  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  makefile: OS/2 SFX modules are now packed.

1999-11-09  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  today.c: Fixed debug time stamping.

1999-11-08  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  makefile: Added REARJ.CFG to all distribution packages.

1999-11-07  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  today.c: Added hh:mm timestamp for debug versions.

1999-11-06  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  environ.c: Fixed read_line_noecho() under OS/2.

	*  ea_mgr.c: Fixed to work with Ext2FS.

1999-11-02  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  environ.c: Fixed file_rmdir() with "-ha" option.

	*  arj_arcv.c, arj_user.c: Removed ARJSFXV shareware size
	   limitation.

	*  arj_user.c: Added automatic testing after ungarbling.

	*  arj_proc.c: Fixed AC/CC/DC parsing from ARJ.CFG.

	*  arj_arcv.c: Fixed read-only extraction in DOS/MSC version.

	*  arj.c: Added configuration file lookup.

1999-10-31  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_proc.c: Added day-of-year timestamp option.

1999-10-23  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_arcv.c: Added CHO_COMMENT header fixup.

	*  arj.c: Changed to allow empty filenames with -h#.

1999-10-22  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  rearj.c: Fixed recursive repacking.

	*  environ.c: Fixed removable media detection with MS C/DOS.

	*  arj_proc.c: Added custom timestamp format option.

1999-10-20  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  environ.c: Fixed delay() routine DOS branch.

1999-10-19  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  dec_asm.asm, enc_asm.asm: Optimized by using direct immediate
	   PUSHes.

1999-10-15  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  environ.c: Fixed time stamping on active streams.

1999-10-10  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  environ.c: Fixed read_line() to return value under OS/2.

	*  arj_arcv.c: Fixed "ARJ x -d" bug with skipped files.

1999-10-06  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  environ.h: Fixed missing prototype for farcoreleft().

1999-10-03  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  environ.c: Fixed w95_cwd().

1999-10-02  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  environ.c: Fixed get_exe_name() under DOS v 2.11/MS C.

	*  arj_arcv.c: Fixed long filename storage under Windows 95.

1999-10-01  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  make_cmt.c: Created.

1999-09-28  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  recovery.c: Fixed negative percentage bug.

	*  garble.c: Finally fixed DS restore.

	*  environ.c: Fixed Windows 95 detection under MS C/C++.

	*  arj_user.c: Fixed empty archive not being deleted. Moved
	   DTA/DTC output in front of EAs in "ARJ V".

1999-09-27  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  environ.c: Fixed read_line() in xterm (XFree86 for OS/2).

1999-09-26  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  makefile: Now runs arjc_<locale> to create packages.

	*  environ.c: Changed delay() routine DOS branch. Fixed
	   get_env_str() to work under OS/2 v 2.x.

1999-09-24  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_user.c: Fixed problem with duplicate files appearing. List
	   command now skips garbled EAs w/o -g.

1999-09-23  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_arcv.c: Fixed EAs being lost when main header is read.
	   Fixed volume flag fix (see 15/09) side-effect.

	*  arj_arcv.c: Fixed "shadow" EAs appearing with -2e.

1999-09-22  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_arcv.c, arj_user.c, recovery.c: ** Updated to ARJ v 3.02
	   code level **.

1999-09-21  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  recovery.c: Fixed stream/section issue for large files.

	*  arj_user.c: Fixed memory leak with ARJ-SECURITY signatures.

1999-09-19  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_user.c: Fixed multivolume handling of non-ARJ files. Fixed
	   volume handling of "hollow" archives.

	*  arj_file.c: Added check for files larger than MAX_FILE_SIZE.

1999-09-18  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_arcv.c: Added check for encryption when building SFX. Fixed
	   chapter mark creation with EAs enabled.

1999-09-16  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  today.c: Changed date format for English/American locale.

1999-09-15  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_arcv.c: Fixed open_input_file() to ignore errors w/-hq.
	   Fixed volume flag being reset by init_packing().

1999-09-14  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  rearj.c: Fixed "invalid suffix" error when /T is used. Fixed
	   problem with "/A" being inoperable.

	*  makefile: Changed optimization options for MS C v 6.00.

	*  filelist.c: Fixed subdirectory retrieval in REARJ branch.

	*  arj_user.c: Fixed file number display in ARJSFXV -v.

1999-09-12  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  environ.c: Fixed directory time stamping under OS/2.

	*  arj_user.c: Added EA display to list command.

	*  arj_arcv.c: Fixed subdirectories being trashed in ARJSFXV.

1999-09-11  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  environ.c: Fixed EXE name retrieval under OS/2.

1999-09-07  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  ea_mgr.c, ea_mgr.h: Created.

	*  arj_asm.h: Removed (superseded by *.H).

	*  arj_asm.asm: Removed (superseded by *.ASM).

1999-09-05  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_user.c: ** Updated to ARJ v 2.62d code level **.

1999-09-04  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_arcv.c: Fixed header search stub in ARJSFX.

	*  arjsfx.c: Fixed M_UNREG_SFX popping after help screen.

1999-09-02  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj.c: Fixed explicit target directory parsing.

1999-08-30  Andrew Belov  <andrew_belov@ru.ru>

	*  date_sig.h, filemode.h, today.c: Created.

	*  makefile: Added locale-dependent timestamp production.

	*  filemode.c: Created.

1999-08-29  Andrew Belov  <andrew_belov@ru.ru>

	*  arj_user.c: Fixed comment creation/display conditions.

1999-08-28  Andrew Belov  <andrew_belov@ru.ru>

	*  arj_file.c: Fixed filename display when rename fails.

1999-08-27  Andrew Belov  <andrew_belov@ru.ru>

	*  msgbind.c: Added shareware/commercial binding selection.

1999-08-26  Andrew Belov  <andrew_belov@ru.ru>

	*  scrnio.c: Fixed CT_NATIVE version of clreol().

	*  makefile: Added separate MSG include file directories.

	*  arj_user.c: Fixed DTA/DTC output in the list command. OS/2
	   SFXVs are no longer limited to 360K.

	*  arj_proc.c: Fixed response command detection.

	*  arj_arcv.c: Shareware SFXV limit has been removed for OS/2.

	*  arj.c: On LFN-capable systems, extension is now ".arj".

	*  ansi.c: Fixed cursor movement with C and D commands.

1999-08-25  Andrew Belov  <andrew_belov@ru.ru>

	*  arj_user.c: Caching can now be disabled.

	*  arj.c: Added dynamic environment variable allocation.

1999-08-24  Andrew Belov  <andrew_belov@ru.ru>

	*  arjcrypt.c, environ.c, register.c, scrnio.c: Ported to OS/2.

	*  msgbind.c: Added multiple OS capability.

1999-08-21  Andrew Belov  <andrew_belov@ru.ru>

	*  scrnio.c, scrnio.h: Created.

	*  reg_stmp.h: The registration block now appears in DOS only.

	*  misc.c: Fixed archive bit checking in match_attrib(). Replaced
	   far_* routines with RTL ones for MS C.

	*  environ.c: Added far heap amount query routine for MS C. Fixed
	   shared open under OS/2 with MS C RTL.

	*  arj_user.c: Fixed archived files deletion. Fixed full filename
	   display in list_cmd().

	*  arj_file.c: Fixed delete_files(). Fixed
	   delete_processed_files().

	*  arj_arcv.c: Fixed -f option operation on extraction. Fixed
	   skipped files being treated as errors.

	*  arjsec_l.c: Now refuses to create envelope in unreg. ARJ.

	*  arjdisp.c: Portabilized.

	*  ansi.c: Moved compiler-dependent code to SCRNIO.C.

1999-08-20  Andrew Belov  <andrew_belov@ru.ru>

	*  misc.c: Fixed pathname matching in flist_find().

	*  makefile: Added debugging facilities.

	*  filelist.c: Fixed filelist initialization.

	*  fardata.h: Debugging macros have been added.

	*  debug.c, debug.h: Created.

	*  arj_user.c: Fixed multivolume command launch conditions.

	*  arj_proc.c: Fixed -ji switch parsing.

	*  arj_arcv.c: Fixed filename formatting in index files. Fixed
	   filename output in copy_archive().

1999-08-19  Andrew Belov  <andrew_belov@ru.ru>

	*  crc32.asm, crc32_32.asm: Added reverse CRC32 calculation.

	*  arjsec_l.c: Added commercial security envelope creation.

1999-08-18  Andrew Belov  <andrew_belov@ru.ru>

	*  rearj.c: Log entry formats moved to resource file. Ported to
	   Microsoft C.

	*  misc.c: Fixed match_attrib().

	*  makefile: Introduced Microsoft C/C++ v 6.00 compiler.
	   Introduced Microsoft QuickC v 2.50 compiler.

	*  enc_asm.asm: Introduced Microsoft C/Quick C compatibility.

	*  crc32_32.asm: Created from CRC32.ASM.

	*  arj_user.c: Fixed -n option corrupting the archive. Messages
	   have been moved to FMSG area.

	*  arj_arcv.c: Fixed error count display in archive_cleanup().
	   Fixed return code in unpack_validation().

1999-08-17  Andrew Belov  <andrew_belov@ru.ru>

	*  gost_t.c, gost_t.h: Created.

	*  gost.c: Pattern data has been moved to GOST_T.C.

	*  fmemcmp.asm: Fixed register loading.

	*  arj_user.c: Fixed archive cleanup before testing with -jt.
	   Fixed M_VERBOSE_FOOTER being output twice.

	*  arj_file.c: Removed redundant check from compare_fblock().

	*  arj.c: Fixed M_BAD_SYNTAX error upon chapter removal.

1999-08-16  Andrew Belov  <andrew_belov@ru.ru>

	*  makefile: Introduced standard option for far data storage.

	*  garble.c: Fix for Microsoft C: SS is restored from DGROUP.

	*  environ.c: Fixed directory creation. Fixed looping on "batch"
	   error handler.

	*  encode.c: Added plain bufsiz decrease method.

	*  decode.c: Fixed decoded data output in decode_f().

	*  arj_user.c: Fixed verbose list display in ARJSFX archives.

1999-08-15  Andrew Belov  <andrew_belov@ru.ru>

	*  makefile: Introduced macros for target EXE names. Introduced
	   Microsoft C/C++ v 7.00 compiler.

	*  ansi.c: Ported to Microsoft C.

1999-08-14  Andrew Belov  <andrew_belov@ru.ru>

	*  environ.c: Fixed case mapping routine.

1999-08-13  Andrew Belov  <andrew_belov@ru.ru>

	*  makefile: Added package/send build rule.

	*  arj_file.c: Fixed high-ASCII characters display in help.

	*  arjdisp.c: ** ARJDISP v 1.00 functionality achieved **.

	*  arj.c: Fixed registration data validation.

1999-08-12  Andrew Belov  <andrew_belov@ru.ru>

	*  arjdisp.c, register.h, reg_stmp.h: Created.

	*  register.c: Created.

	*  makefile: Added ARJ$DISP build rules. Added REGISTER build
	   rules.

	*  fardata.c: ** Added a ARJ$DISP v 1.00 branch **. ** Added a
	   REGISTER v 2.60 branch **.

	*  arj_proc.c: ** Added an ARJ$DISP v 1.00 branch **.

	*  arj.c: Fixed inability to register ARJ.EXE.

1999-08-11  Andrew Belov  <andrew_belov@ru.ru>

	*  rearj.c: ** REARJ v 2.28 functionality achieved **.

	*  filelist.c: Fixed filename retrieval in REARJ branch.

1999-08-10  Andrew Belov  <andrew_belov@ru.ru>

	*  arj_proc.c: ** Added a REARJ v 2.28 branch **.

1999-08-09  Andrew Belov  <andrew_belov@ru.ru>

	*  makefile: Added REARJ build rules.

	*  filelist.c: ** Added a REARJ v 2.28 branch **.

	*  environ.c: Fixed w95_findfirst()/w95_findnext(). Removed
	   lfn_test_spec[].

	*  environ.c: Fixed LFN detection under Windows 95.

	*  arj_arcv.c: Fixed garble operation in special_processing().

1999-08-08  Andrew Belov  <andrew_belov@ru.ru>

	*  rearj.c: Created.

	*  arj_file.c, fardata.c: ** Added a REARJ v 2.28 branch **.

1999-08-07  Andrew Belov  <andrew_belov@ru.ru>

	*  postproc.c: Added ARJSFX postprocessing.

	*  misc.c: Fixed near_stricmp().

	*  arj_file.c: Fixed loop bug in file_open_noarch().

	*  arjsfxjr.c: ** ARJSFXJR v 2.62c functionality achieved **.
	   Fixed cache pointer loss problem.

	*  arjsfx.c: Fixed missing EXE name in ARJSFX banner.

1999-08-06  Andrew Belov  <andrew_belov@ru.ru>

	*  makefile: Added ARJSFXJR build rules.

	*  decode.c: Removed setjmp()/longjmp() from SFX bindings.

1999-08-05  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  makefile: Introduced ASM_DEFS include file.

	*  asm_incl.inc: Now loads ASM_DEFS.INC for defines.

	*  arjsfxjr.c: Created.

1999-08-04  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  makefile: Added ARJSFX build rules. Fixed source file list for
	   ARJSFXV.

	*  garble.c: Fixed DS restore when exiting from ARJCRYPT.

	*  arj_arcv.c, arj_user.c, exe_sear.c: ** Added an ARJSFX v 2.62
	   branch **.

	*  environ.h: Added VBUF/TBUF constants.

	*  crc32.asm: Defining NC_CRC will disable crc32_for_char.

	*  chk_fmsg.c: Reduced stack memory allocation in SFX.

	*  arjsfx.c, arj_file.c: ** Added an ARJSFX v 2.62 branch **.

1999-08-03  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  garble.c: ** Added an ARJSFX v 2.62 branch **.

1999-08-02  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  environ.c, fardata.c, misc.c: ** Added an ARJSFX v 2.62 branch
	   **.

	*  externs.c: AUTOINIT concept introduced.

	*  environ.c: Implemented recall feature in read_line(). Used
	   lfn_test_spec[] for LFN testing.

	*  environ.c: Fixed read-only file deletion in ARJSFXV.

	*  decode.c: ** Added an ARJSFX v 2.62 branch **.

1999-08-01  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  makefile: Introduced C_DEFS include file.

1999-07-31  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  makefile: Added a set of assembly options. Added separate
	   shareware/retail subdivisions.

1999-07-30  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  msgbind.c: Removed check for MSGTEXT_MAX to allow long SFX help
	   messages.

1999-07-29  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  sfx_id.asm: Created.

	*  makefile: Added ARJSFXV build rules.

	*  dec_asm.asm: Method 4 disable macro renamed to ARJSFX.

	*  arj_user.c: ** Added an ARJSFXV v 2.62 branch **.

1999-07-28  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_user.c: Fixed query_action parameter types.

	*  arj_proc.c: ** Added an ARJSFXV v 2.62 branch **.

1999-07-23  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_file.c, exe_sear.c: ** Added an ARJSFXV v 2.62 branch **.

1999-07-18  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_arcv.c: ** Added an ARJSFXV v 2.62 branch **.

1999-07-13  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  decode.c: DICSIZ allocation fixed.

1999-07-12  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_user.c: Changed arg. type of arj_user_msg() to FMSG.

	*  arj_file.c: Changed arg. type of scroll_puts() to FMSG *.

1999-07-08  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  decode.c, misc.c: ** Added an ARJSFXV v 2.62 branch **.

	*  arj_arcv.c: Fixed "Bad header" error for header size==2600.
	   Fixed ARJ$DISP invocation.

1999-07-07  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  garble.c: Fixed potential problem with not-standard.

	*  filelist.c, garble.c: ** Added an ARJSFXV v 2.62 branch **.

	*  chk_fmsg.c: ** Added an ARJSFXV v 2.62 branch **.

1999-07-05  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  misc.c: Added some general-purpose SFX routines.

	*  arjsec_l.c, fardata.c: ** Added an ARJSFXV v 2.62 branch **.

	*  arjsfx.h: Created.

	*  arjsec_h.c: ** Added an ARJSFXV v 2.62 branch **.

1999-07-04  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arjsfx.c, bindings.h, types.h: Created.

	*  fardata.h: Macros for msg_* have been added.

	*  environ.c: ** Added an ARJSFXV v 2.62 branch **. Added
	   get_exe_name().

	*  arjtypes.h: Created.

1999-07-03  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  msgbind.c: Added support for external files ("@" clause).

	*  makefile: Changed build rules for ARJ overlay linkage. Fixed
	   dependencies for garble.c.

	*  arj_xms.asm, asm_incl.inc, file_crc.c: Created.

	*  filelist.c: Fixed storage method selection in hash_init().
	   Moved a part of XMS code to ARJ_XMS.ASM.

	*  enc_asm.asm: Optimized make_tree by using SHR.

	*  crc32.asm: Fixed stack frame setup in crc32_for_char.

	*  arj_xms.h: Created.

	*  arj_proc.c: Fixed name formation in append_curtime_proc().
	   Fixed sw_tail presence recognition.

	*  arj_proc.c: Fixed '.' lookup in append_curtime_proc().

1999-07-02  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  det_x86.h, gost.h, gost_asm.h: Created.

	*  det_x86.asm, gost_asm.asm: Recompiled.

	*  gost40.c: Moved a part of code to GOST.C/GOST.H.

	*  gost.c: ** ARJ v 2.62c functionality achieved **. Created.

	*  garble.c: Fixed DS being destroyed by ARJCRYPT. Fixed password
	   modifiers type (must be signed).

	*  arjcrypt.h: Added cipher/decipher constants.

	*  arjcrypt.c: ** ARJ v 2.60 functionality achieved **.

1999-07-01  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  makefile: Added ARJCRYPT definition and build rules.

	*  gost40.c: Fixed back_code update on encryption. Fixed stack
	   pollution on initialization.

	*  exe_sear.c, garble.c: Removed DOS version dependence.

	*  garble.c: Fixed ARJCRYPT entry point calculation. Fixed
	   ARJCRYPT module location procedure.

	*  exe_sear.c: Fixed exit condition in browse(). Fixed fseek()
	   origin in fetch_block().

	*  environ.c: Fixed file_setftime().

	*  arj_user.c: Fixed chapter conversion conditions. Fixed comment
	   display conditions.

	*  arj_arcv.c: Added missing LF before query_for_rename(). Fixed
	   file deletion logic in chapter archives.

	*  arjcrypt.c: Created.

	*  arj.c: Fixed conditional exclusion filelist cleanup.

1999-06-30  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  misc.c: Used strncmp_os() in filename comparisons.

	*  enc_asm.asm: Fixed near/far issues in procedures. Transferred
	   most of C code to this module.

	*  decode.c: Fixed count underflow condition in decode() (since
	   now, file size is limited to 2G bytes).

	*  arj_user.c: Added missing LF to chapter_list_fmt.

	*  arj_file.c: Fixed EOF sequence output in shutdown_putbits().

	*  arj_arcv.c: Fixed CRC error display conditions. Fixed loop
	   condition in special_processing(). Fixed rewind when falling
	   back to method 0.

	*  arj_arcv.c: Fixed errors related to chapter processing.

	*  arj.c: Fixed chapter command conversion.

1999-06-29  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  misc.c: Fixed return type of farrealloc_msg().

	*  filelist.c: Swap file could not be created, fixed.

	*  encode.c: Fixed near/far function mismatches.

	*  arj_file.c: smft_start_numgraph contained invalid string.

	*  arj_arcv.c: Fixed uncompsize decrease in pack_file().

1999-06-28  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  filelist.c: Fixed resize conditions in add_entry().
	   retrieve_entry() returned garbage, fixed.

	*  filelist.c: Fixed properties pointer abuse in add_entry().

	*  environ.c: Fixed directory recursion in wild_list().

	*  arj_user.c: aostream was unopened due to invalid condition.
	   Fixed unexpected comment prompt.

1999-06-27  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  misc.c: Fixed write/increment order in to_7bit().

	*  makefile: Added preparation section.

	*  environ.c: Fixed incorrect condition in is_file().

	*  decode.c: Fixed counter incrementation in decode_f(). Fixed
	   stack loss due to unprototyped decode_p().

	*  decode.c: extraction_stub() was not called for last block.

	*  arj_user.c: Fixed error counter incrementation. Fixed misuse of
	   ARJ_CMD_EXTRACT.

	*  arj_proc.c: Fixed size decrement order in unstore(). Fixed the
	   is_switch() identification logic.

	*  arj_proc.c: Fixed reply type in search_setup().

	*  arj_file.c: display_indicator() arg type is long since now.
	   Fixed display_found_text().

	*  arj_arcv.c: Fixed header creation order. Fixed M_CRC_ERROR on
	   extraction.

1999-06-26  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  dec_asm.asm: CX/DX were discarded by _fgetc(). Now fixed. Fixed
	   offset calculation for left[]/right[].

1999-06-25  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  dec_asm.asm: Fixed decode_p().

1999-06-24  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  msgbind.c: CCHMAXPATH -> FILENAME_MAX. Destination files can
	   now be placed into separate directories.

	*  misc.c: Fixed buffer overrun in to_7bit().

	*  makefile: Now using separate directories for NLS.

	*  externs.c: Fixed total_files type (must be int).

	*  arj_user.c: Fixed chapter flag display in list_cmd(). Removed
	   errorneous strform references.

	*  arj_proc.c: Fixed processing logic in format_filename().

	*  arj_file.c: Fixed space display in display_comment(). Fixed
	   word order in fget_longword().

	*  arj_arcv.c: Fixed archive name display.

	*  arj.c: Fixed cnv_cmd() initialization in cmd_setup().

1999-06-23  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  misc.c: Fixed return type of farmalloc_msg().

	*  join.c: Now the EXE name is a user-defined parameter.

	*  environ.c: Fixed CY flag setup in call_dos_int(). Fixed
	   directory comparison in wild_list().

1999-06-22  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_user.c: ** ARJ v 2.62c functionality achieved **.

1999-06-20  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  misc.c: Fixed matching criteria in match_attrib.

1999-06-17  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  integr.asm, postproc.c: Created.

	*  makefile: Added a data module for integrity check.

	*  arj_proc.c: ** ARJ v 2.62c functionality achieved **.

1999-06-14  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  externs.c, externs.h: Sorted to ARJ v 2.62c order.

1999-06-13  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  exe_sear.c, exe_sear.h: Created.

	*  arj_arcv.c, exe_sear.c: ** ARJ v 2.62c functionality achieved
	   **.

1999-06-11  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_proc.c: Pack/Unpack stubs added, used strcmp_os.

	*  arj_arcv.c: Used strcmp_os() wherever it was needed.

1999-05-29  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  fardata.c: Fixed error code display.

1999-05-25  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_file.c: ** ARJ v 2.62c functionality achieved **.

1999-05-24  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  enc_gwy.c, enc_gwy.h: Created.

	*  decode.c, encode.c: ** ARJ v 2.62c functionality achieved **.

1999-05-23  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  recovery.h: Added RECOVERY_THRESHOLD definition.

1999-05-16  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_file.c: Fixed formatting in scroll_puts().

1999-05-11  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  enc_asm.asm: Created from disassembly.

1999-05-09  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj_asm.h, fmemcmp.asm, fmemcmp.h: Created.

	*  arj_file.h: Completed the block_op() tree.

1999-04-24  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  environ.h: Created lreg() macro to make fastcall calls.

	*  dec_asm.asm: Created from disassembly.

	*  crc32.asm: Fixed memory model issues.

1999-04-23  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  makefile: Added stack frame optimization to NEAR_COPT.

1999-04-22  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  makefile: Fixed CHK_FMSG.* dependencies.

	*  decode.c, decode.h: Created.

1999-04-21  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  arj.h: Prototype section added (that may be unwise).

1999-04-20  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  msgbind.c: CRC-32 is now fully implemented.

	*  makefile: Made separate compile paths, made response file.

	*  chk_fmsg.c, encode.c, encode.h: Created.

	*  chk_fmsg.h: Created.

	*  chk_fmsg.c: ** ARJ v 2.62c functionality achieved **.

1999-04-18  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  crc32.h: Moved crc32 variables definition to this file.

	*  arjsec_l.c: ** ARJ v 2.62c functionality achieved **.

	*  arjsec_h.c, arjsec_h.h: Created.

	*  arjsec_h.c: ** ARJ v 2.62 functionality achieved **.

1999-04-16  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  recovery.c: Fixed various problems in recovery procedure.

	*  arjsec_l.c, arjsec_l.h: Created.

1999-04-11  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  recovery.c: ** ARJ v 2.62c functionality achieved **.

	*  environ.c: Fixed file_open().

	*  crc32.asm: Removed alignment dependency.

	*  arj_file.h: Added file_write() macro.

	*  arj_file.c: Fixed file_create().

1999-04-10  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  crc16tab.h, recovery.c, recovery.h: Created.

	*  makefile: Fixed far data segment override options.

1999-04-09  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  makefile: Fixed resource rebuild logic.

	*  gost40.c: Fixed parameter naming in stubs.

	*  arjcrypt.h: Created.

1999-04-08  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  garble.c, garble.h: Created.

1999-04-07  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  gost40.c: ** ARJ v 2.62c functionality achieved **.

1999-04-03  Andrew Belov  <andrew_belov@p2.f181.n5020.z2.fidonet.org>

	*  gost40.c, gost40.h: Created.

1999-03-28  Andrew Belov  <andrew_belov@hotmail.com>

	*  misc.c: Fixed various errors in far_*.

	*  makefile: Optimized TC++/BC++ compile options.

	*  fardata.c: Fixed memory leak in error().

	*  environ.c: Fixed handle leak in file_open().

1999-03-27  Andrew Belov  <andrew_belov@hotmail.com>

	*  makefile: Fixed link file cleanup & resource build rules.

1999-03-24  Andrew Belov  <andrew_belov@hotmail.com>

	*  environ.h: Added strcmp_os() macro.

	*  environ.c: Added definition of dev_null (as null device).

1999-03-23  Andrew Belov  <andrew_belov@hotmail.com>

	*  arj_file.c: fput_* procedures fixed.

	*  arj_arcv.c: Header parsing and storage routines added.

1999-03-21  Andrew Belov  <andrew_belov@hotmail.com>

	*  msgbind.c: A bracketed "*" now represents "all" wildcard.

	*  misc.c: ** Updated to ARJ v 2.62c code level **.

	*  environ.h: import_timestamp() replaces older stub.

	*  environ.c: import_timestamp() fixed to be OS-independent.

	*  arj_user.c: Changed "WINNT" to "WIN32" as in ARJ v 2.62c.

1999-03-19  Andrew Belov  <andrew_belov@hotmail.com>

	*  arj_file.c, arj_proc.c: ** Updated to ARJ v 2.62c code level **.

1999-03-14  Andrew Belov  <andrew_belov@hotmail.com>

	*  environ.c, fardata.c: ** Updated to ARJ v 2.62c code level **.

	*  arj.h: Fixed to compile with Turbo C++ v 1.0.

1999-03-12  Andrew Belov  <andrew_belov@hotmail.com>

	*  externs.c: Basic header structures declared.

	*  environ.c: Implemented fileno() calls instead of ->fd.

	*  arj_arcv.c: Renamed find_hdr() to find_header().

1999-03-11  Andrew Belov  <andrew_belov@hotmail.com>

	*  arj_user.c: form_prot_name() added.

1999-03-10  Andrew Belov  <andrew_belov@hotmail.com>

	*  environ.c: Moved friendly OS list to this module.

	*  arj_user.c, arj_user.h: Created.

1999-03-06  Andrew Belov  <andrew_belov@hotmail.com>

	*  arj_arcv.c, arj_arcv.h: Created.

1999-03-05  Andrew Belov  <andrew_belov@hotmail.com>

	*  ansi.h: ANSI sequence ids added.

	*  ansi.c: ^[[m misinterpreted foreground color codes.

1999-02-24  Andrew Belov  <andrew_belov@hotmail.com>

	*  ansi.c: ** ARJ v 2.62 functionality achieved **.

1999-02-21  Andrew Belov  <andrew_belov@hotmail.com>

	*  ansi.c, ansi.h: Created.

1999-02-20  Andrew Belov  <andrew_belov@hotmail.com>

	*  environ.c, misc.c: ** ARJ v 2.62 functionality achieved **.

	*  environ.h: CCHMAXPATHCOMP introduced.

1999-02-17  Andrew Belov  <andrew_belov@hotmail.com>

	*  misc.c: Basic filelist management routines added.

	*  filelist.c: ** ARJ v 2.62c functionality achieved **.

1999-02-16  Andrew Belov  <andrew_belov@hotmail.com>

	*  misc.c: farmalloc_msg now accepts ulong parameters.

1999-02-13  Andrew Belov  <andrew_belov@hotmail.com>

	*  filelist.c: Hash search/retrieval operations completed.

1999-02-03  Andrew Belov  <andrew_belov@hotmail.com>

	*  filelist.c: XMS operations completed.

	*  environ.c: Portabilized some equates.

1999-02-01  Andrew Belov  <andrew_belov@hotmail.com>

	*  filelist.c, filelist.h: Created.

	*  environ.c: Added create_subdir_tree.

	*  arj_file.c: Query routine completed.

1999-01-30  Andrew Belov  <andrew_belov@hotmail.com>

	*  fardata.c: ** ARJ v 2.62 functionality achieved **.

	*  environ.h: Console settings.

1999-01-29  Andrew Belov  <andrew_belov@hotmail.com>

	*  arj_file.c, arj_file.h: Created.

1999-01-28  Andrew Belov  <andrew_belov@hotmail.com>

	*  msgbind.c: Added NULL pool identifier to produce "orphan"
	   messages.

	*  environ.c: Fixed find_delimiter.

	*  arj_proc.c, arj_proc.h: Created.

1999-01-27  Andrew Belov  <andrew_belov@hotmail.com>

	*  win95dos.h: W95_RESETDRIVE equates.

	*  misc.c: More string routines added.

	*  environ.c: Most of error handlers, all file_* + parser.

1999-01-26  Andrew Belov  <andrew_belov@hotmail.com>

	*  makefile: Introduced Borland C++ v 3.x compiler.

	*  defines.h: MSGP definitions added.

	*  arj.c, crc32.h: Created.

	*  crc32.asm: Recompiled.

1999-01-25  Andrew Belov  <andrew_belov@hotmail.com>

	*  fardata.h, msgbind.c: Created.

	*  misc.c: unix_to_dos, malloc_str .... INCOMPLETE!.

1999-01-24  Andrew Belov  <andrew_belov@hotmail.com>

	*  environ.h: CR and LF definitions.

	*  environ.c: Incorporated fdate/ftime in structures.

1999-01-23  Andrew Belov  <andrew_belov@hotmail.com>

	*  win95dos.h: Incorporated ftime and fdate in W95_FFBLK.

	*  defines.h, externs.h, misc.c, misc.h: Created.

	*  arj.h, externs.c, fardata.c: Created.

	*  environ.c: Added non-local API.

1999-01-21  Andrew Belov  <andrew_belov@hotmail.com>

	*  makefile, win95dos.h: Created.

	*  environ.h: Created.

	*  environ.c: Added W95 LFN API.

1999-01-19  Andrew Belov  <andrew_belov@hotmail.com>

	*  environ.c: Created.

1999-01-03  Andrew Belov  <andrew_belov@hotmail.com>

	*  join.c: Created.
